Mint a settlement-partner ToS-acceptance session URL
curl --request POST \
--url https://api.example.com/v1/buyer-kyc/{buyerId}/tos-session \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"redirectUrl": "https://erp.example.com/buyers/ckbuy001/kyc/tos-accepted"
}
'import requests
url = "https://api.example.com/v1/buyer-kyc/{buyerId}/tos-session"
payload = { "redirectUrl": "https://erp.example.com/buyers/ckbuy001/kyc/tos-accepted" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({redirectUrl: 'https://erp.example.com/buyers/ckbuy001/kyc/tos-accepted'})
};
fetch('https://api.example.com/v1/buyer-kyc/{buyerId}/tos-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://app.blindpay.com/tos/accept?session=abc123",
"idempotencyKey": "3f9a1c7e-0b2d-4f6a-8c1e-3b5d7f9a0c2e"
}{
"statusCode": 404,
"error": "NotFound",
"message": "No buyer with that buyerId."
}Accounts
Mint a settlement-partner ToS-acceptance session URL
Mint a settlement-partner ToS-acceptance session URL. Direct your buyer to the returned url; on acceptance the settlement partner redirects to your redirectUrl with ?tos_id=...&idempotency_key=... query params. Then call /tos-accepted (or pass tosId in the next /buyer-kyc submit).
POST
/
v1
/
buyer-kyc
/
{buyerId}
/
tos-session
Mint a settlement-partner ToS-acceptance session URL
⌘I